const ignoreList = [
  /^\/\.idea($|\/)/,
  /^\/\.vscode($|\/)/,
  /^\/database($|\/)/,
  /^\/declarations($|\/)/,
  /^\/node_modules\/\.cache($|\/)/,
  /^\/src\/.*\.(ts|js\.map)/,
  /^\/store($|\/)/,
  /^\/test($|\/)/,
  /^\/\.editorconfig/,
  /^\/\.eslintignore/,
  /^\/\.eslintrc\.json/,
  /^\/\.gitignore/,
  /^\/\.mocharc.yml/,
  /^\/\.prettierrc\.yml/,
  /^\/forge.config\.js/,
  /^\/gulpfile\.js/,
  /^\/index\..*\.html/,
  /^\/package-lock\.json/,
  /^\/tsconfig\.json/,
  /^\/tslint\.json/,
  /^\/webpack\.config\.js/,
];

module.exports = {
  packagerConfig: {
    icon: 'resources/icon',
    ignore: ignoreList,
  },
  electronRebuildConfig: {
    force: true,
  },
  makers: [
    {
      name: '@electron-forge/maker-squirrel',
    },
  ],
};
